aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build-doc.sh1
-rw-r--r--scripts/rebuild-doc.sh45
2 files changed, 46 insertions, 0 deletions
diff --git a/scripts/build-doc.sh b/scripts/build-doc.sh
index 14f1550e..e6aa87e6 100755
--- a/scripts/build-doc.sh
+++ b/scripts/build-doc.sh
@@ -39,6 +39,7 @@ buildit() {
make -j $CPU_COUNT install test doc
if [ $? -eq 0 ] ; then
echo "BUILD SUCCESS $bname $archabi"
+ rm -f $rootdir/documentation.tar.xz
tar caf $rootdir/documentation.tar.xz documentation
cd $rootdir
return 0
diff --git a/scripts/rebuild-doc.sh b/scripts/rebuild-doc.sh
new file mode 100644
index 00000000..563f30b5
--- /dev/null
+++ b/scripts/rebuild-doc.sh
@@ -0,0 +1,45 @@
+#! /bin/sh
+
+sdir=`dirname $(readlink -f $0)`
+rootdir=`dirname $sdir`
+bname=`basename $0 .sh`
+logfile=$bname.log
+rm -f $logfile
+
+. $sdir/setup-machine-arch.sh
+
+export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-$archabi
+if [ ! -e $JAVA_HOME ] ; then
+ echo $JAVA_HOME does not exist
+ exit 1
+fi
+
+CPU_COUNT=`getconf _NPROCESSORS_ONLN`
+
+# run 'dpkg-reconfigure locales' enable 'en_US.UTF-8'
+export LANG=en_US.UTF-8
+export LC_MEASUREMENT=en_US.UTF-8
+
+buildit() {
+ echo rootdir $rootdir
+ echo logfile $logfile
+ echo CPU_COUNT $CPU_COUNT
+
+ cd $rootdir/build-$archabi
+ rm -rf documentation
+ make -j $CPU_COUNT install doc
+ if [ $? -eq 0 ] ; then
+ echo "REBUILD SUCCESS $bname $archabi"
+ rm -f $rootdir/documentation.tar.xz
+ tar caf $rootdir/documentation.tar.xz documentation
+ cd $rootdir
+ return 0
+ else
+ echo "REBUILD FAILURE $bname $archabi"
+ cd $rootdir
+ return 1
+ fi
+}
+
+buildit 2>&1 | tee $logfile
+